init python:
    register_stat("Wedding Preparedness", "prep", 0, 100)
    register_stat("Charisma", "charisma", 10, 100)
    register_stat("Intelligence", "intelligence", 10, 100)
    register_stat("Handiness", "handiness", 10, 100)
    register_stat("Physicality", "physicality", 10, 100)
    register_stat("Relaxation", "relaxation", hidden=True)
    ## Affection
    register_stat("FLove", "flove", hidden=True)
    register_stat("VLove", "vlove", hidden=True)
    
    #Choices for the day planner

    dp_period("Morning", "morning_act")
    dp_choice("Work Early", "work_early")
    dp_choice("Talk to Mother", "tmother")
    dp_choice("Bake", "baking")
    #dp_choice("Sew", "sew")
    dp_choice("Garden", "garden")
    dp_choice("Read", "read")
    dp_choice("Clean Brooch", "clean_brooch", show ="items[\"tarnished brooch\"] == 1")
    
    dp_period("Noon", "noon_act")
    #dp_choice("Shop", "shop")
    dp_choice("Visit Farris", "tfarris", show ="fnightinvite == False")
    dp_choice("Visit Virgil", "tvirgil")
    dp_choice("Visit Anne", "tanne")
    
    dp_period("Work Day", "work_act")
    dp_choice("Work", "at_work")
    
    dp_period("Afternoon", "afternoon_act")
    dp_choice("Announce Wedding", "firstday", show ="day == 1")
    #dp_choice("Shop", "shop",)
    dp_choice("Visit Farris", "tfarris", show="fnightinvite == False and day != 1")
    dp_choice("Visit Virgil", "tvirgil", show="day != 1")
    dp_choice("Visit Anne", "tanne", show="day != 1")

    dp_period("Evening", "evening_act")
    dp_choice("Talk to Mother", "tmother")
    dp_choice("Bake", "baking")
    #dp_choice("Sew", "sew")
    dp_choice("Garden", "garden")
    dp_choice("Read", "read")
    dp_choice("Visit Farris", "tfarris_eve", show ="fnightinvite == True")

# This is the label that is jumped to at the start of a day.
label day:

    # Increment the day it is.
    $ day += 1
    $ day_call += 1
    
    if day == 7:
        $ year += 1
    
    if day_call == 31:
        $ month = "January"
        $ day_call = 1
        
    if day == 3 or day == 4 or day == 7 or day == 10 or day == 11:
        $ weekend = True
    else:
        $ weekend = False

    # TODO Lowest Priority: Weather effects?

    if day == 15:
        jump wedding_day_placeholder
        
    if day == 14:
        "It's [month] [day_call], [year]. The wedding is tomorrow."
        
    else:
        "It's [month] [day_call], [year]."
        # TODO High Priority: Show player todo list

    # Here, we want to set up some of the default values for the
    # day planner. In a more complicated game, we would probably
    # want to add and remove choices from the dp_ variables
    # (especially dp_period_acts) to reflect the choices the
    # user has available.

    $ morning_act = None
    $ afternoon_act = None
    $ evening_act = None
    $ work_act = None
    $ noon_act = None
    $ night_act = None
    window show
    hide screen say
    scene fireplace with fade

    # Now, we call the day planner, which may set the act variables
    # to new values. We call it with a list of periods that we want
    # to compute the values for.
    if weekend == True:
        call screen display_planner(["Morning", "Noon", "Afternoon", "Evening"])
        
    else:
        call screen display_planner(["Morning", "Work Day", "Afternoon", "Evening"])
    hide screen say
    window auto
    
    # We process each of the three periods of the day, in turn.
label morning:

    # Tell the user what period it is.
    centered "Morning"

    # Set these variables to appropriate values, so they can be
    # picked up by the expression in the various events defined below. 
    $ period = "morning"
    $ act = morning_act
    
    # Execute the events for the morning.
    call events_run_period from _call_events_run_period

    # That's it for the morning, so we fall through to the
    # work day if it is a work day and noon if it is not.
label work:
    if check_skip_period():
        jump afternoon
        
    if weekend == True:
        jump afternoon
        
    centered "Work"

    $ period = "work"
    $ act = work_act

    call events_run_period from _call_events_run_period_1
     
label noon:
    if check_skip_period():
        jump afternoon
        
    if weekend == False:
        jump afternoon
        
    centered "Noon"

    $ period = "noon"
    $ act = noon_act

    call events_run_period from _call_events_run_period_2
        

label afternoon:

    # It's possible that we will be skipping the afternoon, if one
    # of the events in the morning jumped to skip_next_period. If
    # so, we should skip the afternoon.
    if check_skip_period():
        jump evening

    # The rest of this is the same as for the morning.

    $ period = "afternoon"
    $ act = afternoon_act

    centered "Afternoon"

    call events_run_period from _call_events_run_period_3


label evening:
    
    # The evening is the same as the afternoon.
    if check_skip_period():
        jump night

    centered "Evening"

    $ period = "evening"
    $ act = evening_act
    
    call events_run_period from _call_events_run_period_4


label night:

    # This is now the end of the day, and not a period in which
    # events can be run. We put some boilerplate end-of-day text
    # in here.

    centered "Night"

    "It's getting late, so I decide to go to sleep."
    
    #Since "night" is not an act with a choice area, there is no need to 
    #call choices. There might be some special events here, though.
    
    if day == 5:
        call get_tarnished_brooch from _call_get_tarnished_brooch
    

    # We call events_end_day to let it know that the day is done.
    call events_end_day from _call_events_end_day

    # And we jump back to day to start the next day. This goes
    # on forever, until an event ends the game.
    jump day
         

