## Define the characters
define f = Character('Farris', kind=adv, color="#b3b4f6", show_two_window=True)
define v = Character('Virgil', kind=adv, color="#99c27b", show_two_window=True)
define e = Character('Esther', kind=adv, color="#FFFFFF", show_two_window=True)
define en = Character('', what_prefix="\"", what_suffix="\"", what_color="#FFFFFF")
define m = Character('Mother', kind=adv, color="#f6dfb3", show_two_window=True)
define a = Character('Anne Brown', kind=adv, color="#f6b3f6", show_two_window=True)
define h = Character('Mr Hughes', kind=adv, color="#b3f6de", show_two_window=True)
define s = Character('Shopkeeper', kind=adv, color="#f6b3b3", show_two_window=True)

## Images
image fireplace = "fireplace.jpg"
image entry01 = "entry01.jpg"
image kitchen = "kitchen.jpg"
image parlor = "parlor.jpg"
image bedroom = "bedroom_01.jpg"
image apartment = "apartment.png"
image farris alpha = im.Alpha("farris_neutral.png", 0.5)
image virgil alpha = im.Alpha("virgil_sad.png", 0.5)
image cg christmas = "CG02_color.jpg"
image cg fvkiss = "CG01_color.jpg"

#This code defines the variables that will be used in the rest of the game.
init python:
    #Go get the other images
    config.automatic_images = [ '_' ]
    
# The game starts here.
label start:
        
    ## Time to define variables!
    $ day = 0
    $ day_call = 25
    $ month = "December"
    $ year = 1946
    $ fnightinvite = False
    $ intro_completed = False
    $ blanket_completeness = 0
    $ recepies_learned = 0

    scene black
    

    
    menu:
        "This build of the game does not have all of its assets yet. Please ignore the Mother's missing art."
        "Everything in this build is subject to change."
        "Enter debugging mode?"
        "Yes, let me debug event triggers. (Maxes stats.)":
            $ charisma = 100
            $ intelligence = 100
            $ handiness = 100
            $ physicality = 100
            jump day
        "Yes, let me debug the stats.":
            jump day
        "No, let me see the story so far.":
            jump intro

label intro:
    "You have loved me as a wife ought to love her husband. Only you had not sufficient knowledge to judge of the means you used.
        - A Doll's House, Henrik Ibsen"
    scene entry01 with fade
    play music "Simple_Duet.ogg"
    "It was just supposed to be an ordinary Christmas dinner." 
    "If it had been an ordinary dinner, none of this would have happened."
    show farris alpha at left
    show virgil alpha at right
    with dissolve
    "A near-stranger wouldn't be heading home crying, my boyfriend wouldn't be scared of his wits, and I wouldn't be engaged."
    "Yes, it seems bizzare, but I hadn't expected any of it."
    "I thought it would just be Farris and I, but he invited Virgil, his best friend. That was fine."
    "We were all lonely, so it makes sense that we would all eat together."
    "Mother didn't want a Christmas. Farris and Virgil were far from their families, and they worked on the same plane in the war."
    "I thought we'd just be three friends together."
    "I didn't expect anything romantic anyhow. Farris is a playboy - he never stays with the same girl for a month or two."
    "My time with him was almost up."
    "This is the opposite of what I expected."
    "I keep replaying that night in my mind..."
    #"I didn't know Virgil that well, but if he was Farris's best friend, he couldn't be that bad."
    #"Our three-person fake family was kind of cute before everything went to peices."
    hide farris alpha and
    hide virgil alpha
    scene cg christmas with fade
    v "So, Miss Wood, what are you doing these days?"
    e "I'm a secretary, but I take care of my mother, mostly. She hasn't been well."
    v "Should you be at home with her, then."
    e "It's not a physical illness... It's just the two of us now, and that's hard on both of us."
    v "Ah. Sorry for bringing it up."
    "I hunch down in my chair."
    e "No, it's no problem."
    f "Hey Ver, how are your classes right now?"
    v "They're alright. My classes drag a bit, but is that really a surprise?"
    f "It's your last year. You'll be fine."
    v "And with your help, I can ace my defence."
    f "I am not lawyering you out of a bad defense."
    v "Come on, boo!"
    e "Boo?"
    "I start giggling."
    e "You guys are adorable."
    f "Thank you?"
    e "I mean, you guys are cute because you act like children."
    f "Children can't marry."
    v "Or go to war."
    "But they did go to war, you numpty!"
    v "Hey! Relax."
    e "Sorry."
    "Farris grabs my hand, providing a little comfort."
    f "Virgil, you're being an ass to the pretty lady."
    v "I'm sorry. Settling is hard."
    e "I know."
    v "You didn't fight anyone."
    e "That doesn't mean I wasn't part of the war."
    v "You were sitting in a room."
    e "I was trancribing German communication!"
    v "Do you speak German?"
    e "I didn't need to. I was just writing it down. You didn't need to know German to fight them, did you?"
    scene parlor
    show farris smile at left:
        xzoom -1
    show virgil neutral at right:
        xzoom -1
    with fade
    "Virgil grunts."
    f "Temper."
    v "Sorry, Farrie."
    e "Ver, Farrie... good lord!"
    show virgil angry at right with dissolve
    show virgil neutral at right with dissolve
    f "Virgil? Come on, you're all right."
    v "With her around?"
    f "You mind your tounge."
    "He lets my hand go."
    f "Just take a breath and calm down, please. She's not a replacement."
    e "Replacement?"
    v "I find that hard to believe. You said that when we got home we would be fine, and now you're pulling this out of your ass."
    show virgil angry at right with dissolve
    f "Fight the war. Get married. Start a family. It's what happens."
    e "Yes, several years later."
    e "We don't know each other that well yet."
    e "I'm not going to marry him any time soon."
    show farris sad at left with dissolve
    v "She's a dish, but that doesn't mean you have any right to go order. Did the past four years mean nothing to you?"
    show farris concerned at Position (xpos = 0.28, ypos = 1.0) with move
    f "You can't live in the past!"
    show virgil sad at Position (xpos = 0.73, ypos = 1.0) with move
    v "At least I remember it!"
    show farris concerned at Position (xpos = 0.35, ypos = 1.0) with move
    f "I still love you. People ha-"
    v "Prove it."
    show farris shocked with dissolve
    "I should get out of here..."
    f "Four years of being with you through thick and thin, passing notes in the middle of the night to be read and then burned, snatching moments in a hanger..."
    f "Is that not enough for you?"
    v "Not when you constantly avoid me."
    f "We have met up several times."
    v "That's not what I mean you-{w} you-{w} It's not the same. You don't even look at me. Look at me!"
    show virgil angry at Position (xpos = 0.65, ypos = 1.0) with move
    v "Look at me and just-{w} come here!"
    hide farris shocked and virgil angry
    scene cg fvkiss with fade
    play music "Rynos_Theme.ogg"
    "What."
    "the."
    "hell?"
    "What the hell is Virgil doing to Farris's face?"
    "Push him away, Farris. Say no. Step back."
    "Just do something!"
    "Please."
    "I should have known. I thought his distance was just a side effect of being on the front lines, but this..."
    "Why lead a girl on?"
    "I have to put my head in my hands so its aching will stop."
    "My boyfriend has been a nancy boy the entire time."
    "I swallow air to calm down."
    "It would have been nice to know. He was never that intimate, but if he had said he felt nothing for me I would never have put this amount of emotional effort in the relationship."
    "Even though I don't expect physicality from him anymore."
    "I thought he would be loyal."
    "My throat doesn't want to work, but I need to say something. Anything at all."
    e "Farris?"
    scene parlor with fade
    show virgil shocked at Position (xpos = 0.63, ypos = 1.0):
        xzoom -1
    show farris shocked at Position (xpos = 0.35, ypos = 1.0):
        xzoom -1
    with dissolve
    f "...{w} Oh shit."
    e "What is going on?"
    show farris shocked:
        xzoom 1
    with dissolve
    f "I'm so sorry."
    e "No, explain. What is going on?"
    show farris shocked at Position (xpos = 0.20, ypos = 1.0) with move
    show virgil confused with dissolve
    v "Do your best, Farris. I believe in you."
    f "..."
    show farris concerned:
        xzoom -1
    with dissolve
    f "I know you do."
    f "But this..."
    show virgil neutral with dissolve
    v "You just have to tell the truth."
    show farris neutral with dissolve
    f "Esther..."
    f "You have to know who we really are. We're not normal.{w} Physically, we're fine."
    "Virgil nods."
    f "I'm a homosexual. So is he."
    f "We're a couple."
    v "We have been for years."
    "But I only met Farris six months ago. We started dating two months after that."
    "I've been playing a third wheel the whole time."
    e "What about us?"
    f "Esther, I still care about you. You have the personality of an angel. But I can never love you the way I love Virgil."
    e "So why even date me?"
    f "You know why."
    e "You'll excuse me if I'm not operating at full mental capacity at the moment."
    f "It's an illusion. If people get suspicous, we'll be affected."
    e "Or you could just not snog each other?"
    show virgil bneutral
    v "It doesn't work that way. You can't just choose who you love."
    f "He's right."
    e "You don't need to tell me. You aren't the first of... your kind that I've seen. You are good people, aren't you? Not sick, or twisted. Not fixable."
    "Just like Mar-mar."
    show farris concerned with dissolve
    play music "Comfortable_Mystery.ogg"
    f "Esther... I suppose there is something we could do. It's tricky. It might not even work."
    e "I'm listening."
    f "Marry me."
    show virgil shocked with dissolve
    e "What?"
    v "What?"
    f "If you marry me, nobody would suspect a thing. We could live normally together, just without the sex."
    show farris grin with dissolve
    f "And from what I hear, most normal marriages don't have sex either."
    show virgil neutral with dissolve
    e "I'm not that good of a housekeeper, or a cook, or a childminder."
    v "..."
    f "That doesn't matter. I would love you very much, and you could have a good future. A lawyer's wife's life is pretty good from what I hear."
    v "..."
    e "I would take care of you. Make sure you were fed, clothed, and everything. You won't have to worry again."
    v "..."
    f "Virgil, are you okay with this?"
    v "...{w} You promised me..."
    f "I am doing what I said I would do."
    v "Then I give my blessing."
    show virgil sad with dissolve
    f "I'll visit you every week."
    v "Ok."
    f "So, then, Esther Ruth Wood, will you marry me?"
    e "I will. Virgil... uh..."
    f "Virgil Thomas Hereward, will you be my best man?"
    v "I will."
    show virgil concerned with dissolve
    v "You guys should get married soon, before I lose my senses again."
    e "Yes. We'll keep things small and simple."
    show virgil sad with dissolve
    v "I'm happy for you guys. You'll be great together."
    v "You'll definitely have a great life together."
    show farris concerned with dissolve
    f "We will have a good life together. All of us. Okay?"
    hide virgil sad with dissolve
    v "Excuse me for a minute."
    "I can hear Virgil crying in the other room."
    f "Virgil, no, no."
    hide farris concern with dissolve
    f "Come here."
    "Virgil clings tightly to Farris's shirt and bawls into his shirt. I am rooted to the spot. It must hurt to lose someone you see every day."
    "I wonder if I've made a mistake."
    v "Thank you. I needed that."
    f "I will never leave you."
    e "I may not understand you, but I didn't understand the things I was transcribing either. I did that diligintly. I will be a good wife."

# This code lets the game switch to a new script containing a day planner and events.
    $ intro_completed = True
    scene bedroom with fade
    show mother happy with dissolve
    
    m "Esther! Esther!"
    e "Mum, what is it? It's late?"
    m "I got you a wedding date!"
    e "How?"
    m "Well, I know you want to 'get on with it', so I booked the wedding for January 10th. I already talked to the priest for you."
    "Good god, mother, that's only fifteen days away!"
    e "Thank you. You're so helpful."
    m "I love you, sweetheart."
    e "Love you too, mom."
    "Well, at least I have a date now."

    jump day
    
