#Time to set up some events!

init:
    
    $ event("work_early", "act == 'work_early'", event.solo(), priority=200)
    $ event("atwork", "act == 'at_work'", event.solo(), priority=200)
    $ event("tmother1", "act == 'tmother'", event.solo(), priority=200)
    $ event("baking", "act == 'baking'", event.solo(), priority=200) 
    $ event("shop", "act == 'shop'", event.solo(), priority=200)
    $ event("tfarris", "act == 'tfarris'", event.solo(), priority=200) #TODO High priority: randomize filler events?
    $ event("tvirgil", "act == 'tvirgil'", event.solo(), priority=200)
    $ event("tanne", "act == 'tanne'", event.solo(), priority=200)    
    $ event("sew", "act == 'sew'", event.solo(), priority=200)
    $ event("read", "act == 'read'", event.solo(), priority=200)
    $ event("garden", "act == 'garden'", event.solo(), priority=200)
    
#Set up Farris's events

    ####### One Time events
    $ event("parachute", "act == 'firstday'", event.once(), priority=2)
    $ event("new_life", "act == 'tfarris'", event.once(), event.only(), event.depends("parachute"), priority = 10)
    $ event("war_days_memories", "act == 'tfarris' and charisma >= 30 and intelligence >= 30", event.depends("new_life"), event.once(), event.only(), priority=20)
    $ event("letter_home", "act == 'tfarris' and flove >= 10", event.once(), event.depends("war_days_memories"), priority=30)
    $ event("ripped_suit", "act == 'tfarris' and flove >= 10 and handiness >= 20", event.once(), event.only(), priority=40)
    $ event("trial_one", "act == 'tfarris' and flove >= 20", event.once(), event.only(), priority=50)
    $ event("trial_two", "act == 'tfarris' and day >= 1", event.once(), event.depends("trial_one"), event.only(), priority=60)
    $ event("virgil_war", "act == 'tfarris' and flove >= 30 and vlove >= 30", event.once(), event.only(), priority=70)
    $ event("evening_invite", "act == 'tfarris' and flove >= 70", event.once(), event.only(), priority=70)
    $ event("bloodlines_farris", "act == 'tfarris'", event.once(), event.only(), event.depends("bloodlines_anne"))
    $ event("husband_call", "act == 'tfarris' and flove >= 90", event.once(), event.only(), priority=10)
    $ event("farris_ill_f", "act == 'tfarris' and flove >= 50 and vlove >= 20", event.once(), event.only(), priority=10)
    
#Set up Virgil's events

####### One Time events
    $ event("v_intro", "act == 'firstday'", event.once(), priority=2)
    $ event("v_special_1", "act == 'tvirgil'", event.once(), event.only(), event.depends("vintro"))
    $ event("v_special_2", "act == 'tvirgil' and charisma >= 30 and intelligence >= 30", event.once(), event.only(), priority=100)
    $ event("v_special_3", "act == 'tvirgil' and vlove >= 10", event.once(), event.only(), priority=100)
    $ event("v_special_4", "act == 'tvirgil' and vlove >= 10 and handiness >= 20", event.once(), event.only(), priority=90)
    $ event("v_special_5", "act == 'tvirgil' and vlove >= 20", event.once(), event.only(), priority=100)
    $ event("v_special_6", "act == 'tvirgil' and day >= 9", event.once(), event.only(), event.depends("v_special_5"), priority=70)
    $ event("v_special_7", "act == 'tvirgil' and flove >= 30 and vlove >= 30", event.once(), event.only(), priority=100)
    $ event("v_special_8", "act == 'tvirgil' and vlove >= 70", event.once(), event.only(), priority=90)
    $ event("v_special_9", "act == 'tvirgil'", event.once(), event.only(), event.depends("bloodlines_anne"))
    $ event("v_special_10", "act == 'tvirgil' and vlove >= 90", event.once(), event.only(), priority=90)
    $ event("farris_ill_v", "act == 'tvirgil' and flove >= 20 and vlove >= 50", event.once(), event.only(), priority=70)

#Set up Anne's events

    ######## One Time events
    $ event("exciting_news", "act == 'firstday'", event.once(), priority=1)
    $ event("make_dress", "act == 'tanne'", event.once(), event.only(), priority=100)
    $ event("dress_is_made", "act == 'tanne'", event.once(), event.only(), priority=100)
    $ event("bloodlines_anne", "act == 'tanne'", event.once(), event.only(), priority=100)

    
#Time to set up some special events for if variables have been pressed!
    $ event("tfarris_eve", "act == 'tfarris_eve'", event.solo(), priority=100)
    $ event("clean_brooch", "act == 'clean_brooch'", event.once(), priority=100)
    $ event("why_girls", "act == 'tfarris' or act == 'tvirgil'", event.once(), event.only(), priority=70)
    
    ###############
    ## INVENTORY ##
    ###############
    
#Let's make some items!
    $ items = {"something old": 0, "something new": 0, "something borrowed": 0,
        "something blue": 0, "wedding dress": 0, "tarnished brooch": 0,
        "parachute": 0, "roses": 0, "pounds": 30, "pie": 0,
        "spam hash": 0, "blanket": 0, "pillow": 0, "fabric": 5}
    
    
    ##################
    ## EVENT LABELS ##
    ##################
    
#Here are the labels for the basic events. #TODO High Priority: Replace placeholder event text with actual event text.   
label work_early:
    scene stairs 1stfloor with fade
    "Work early event."
    h "Earn money (randomise me)." # TODO Medium priority: randomize this interaction
    $ items["pounds"] += 5
    return
    
label atwork:
    scene stairs 1stfloor with fade
    "Default work event."
    if day == 2 or day == 9 or day == 10:
        "It's Friday, so my boss gives me my paycheque."
        $ items["pounds"] += 20
    return
    
label tmother1:
    scene parlor with fade
    "Mother's default event."
    return
    
label baking:
    scene kitchen with fade
    "What should I bake?"
    menu:
        "Pie":
            "I make a pie."
            $ items["pie"] += 1
        
        "Spam Hash":
            "I make spam hash."
            $ items["spam hash"] += 1
    return
    
label shop:
    scene stairs 1stfloor with fade
    s "What do you want to buy?"
    menu:
        "Roses: 20 Pounds":
            e "I'd like to buy a dozen roses."
            if items["pounds"] > 20:
                s "Here you go!"
                $ items["roses"] += 1
            else:
                "I don't have enough money to buy roses."
                
        "Wedding Dress Fabric":
            e "I'd like to buy wedding dress fabric."
            s "We don't have any."
            "Why must good  fabric be hard to come by?"
            $ relaxation -= 10
        
    #TODO Reminder: Add more shop items.
    return
    
label tfarris:
    scene entry01 with fade
    "Farris is home."
    menu:
        "Get some love points.":
            $ flove += 10
            "You now have 10 more points."
        "Continue.":
                "Nothing happens."
            
    return
    
label tvirgil:
    scene apartment with fade
    "Virgil is home."
    menu:
        "Get some love points.":
            $ vlove += 10
            "You now have 10 more points."
        "Continue.":
            "Nothing happens."
    return
    
label tanne:
    scene library01 day with fade
    "Anne's default text."
    
    return
    
label sew:
    scene fireplace with fade
    "What should I sew?" #TODO High Priority: Return to and review skill options.
    menu:
        "Patchwork Blanket (%(blanket_completeness)d done)":
            if blanket_completeness == 0:
                "I start sewing a patchwork blanket."
                $ blanket_completeness += 25
                
            elif blanket == 75:
                "I'm done my blanket!"
                $ items["blanket"] += 1
                $ blanket_completeness = 0
                    
            else:
                "I continue to sew a patchwork blanket."
                $ blanket_completeness += 25
        
        "Pillow":
            "I sew a pillow." 
            $ items["pillow"] += 1
            
    $ handiness += 10
    return
    
label garden:
    scene fireplace with fade
    "I work on my victory garden."
    "It's hard work, but I find it relaxing."
    $ relaxation += 15
    # TODO Medium Priority: Food
    return
    
label read:
    scene fireplace with fade
    $ relaxation += 15
    "What should I read?"
    menu:
        "Cookbook":
            "I read a recepie."
            #TODO High Priority: Recepie unlock system.
        "Romance novel":
            "I read a romance novel. These characters are so clever."
            $ charisma += 10
        "Newspaper":
            "I read the Newspaper. It's educational." #TODO Easy: Find newspaper name.
            #TODO Low Priority: Fact of the day
            $ intelligence += 10
        
    return
    
    ##########################
    ## EXTRA SPECIAL EVENTS ##
    ##########################
    
label get_tarnished_brooch:
    scene bedroom with fade
    show mother excited with dissolve
    m "Esther! Esther!"
    "I was halfway asleep..."
    e "What is it?"
    m "I found it!"
    e "Found /what/?"
    m "Your wedding outfit."
    e "My wedding outfit?"
    m "Yes. I have it right here. It has been sitting in a box for years."
    "I stare at her, not sure if I heard her correctly."
    "It's only been a day sice she found out I was getting married."
    "This is fast, even for her."
    show mother happy with dissolve
    m "Oh, it's not quite an outfit yet, but it's everything you need."
    m "The ladies at my old job said so."
    "She gives me a small, tarnished brooch with a rectangular blue gemstone in the middle."
    "It's so delicate. I barely want to touch it."
    e "Where did you get this?"
    m "It's mine. Your father gave it to me as a wedding present."
    m "He brought it from Belgum when he went to the war."
    show mother sad with dissolve
    m "I forgot I still had it."
    e "Thank you, mum. It means so much to me."
    hide mother with dissolve
    "I almost feel like crying."
    "She's giving something so dear to her to me."
    "I can barely believe it."
    "I stare at the brooch for a long time."
    "It may not be pretty, but it is the most beautiful thing I've seen in a long time."
    "Maybe there's some way to polish it."
    $ items["tarnished brooch"] += 1
    
    return
    
label clean_brooch:
    scene bedroom with fade
    $ items["tarnished brooch"] -= 1
    "I scrub the brooch for several hours."
    "It becomes sparkly."
    "I love its blue colour."
    $ items["something blue"] += 1
    $ prep += 10
    "I now have 'something blue' to wear for my wedding."
    
    return
    
label why_girls:
    scene entry01 with fade
    "Event involves Farris and Virgil."
    return
    
    
    ###################
    ## FARRIS EVENTS ##
    ###################
    
    # TODO Note: Add Farris events
label parachute:
    scene entry01 with fade
    "I head to Farris's house quickly. I need to tell him that mum picked a date for us."
    show farris smile at center with dissolve
    f "Esther! How are you?"
    e "I'm alright, although I did find out my mother got us a wedding date."
    show farris shocked with dissolve
    f "What? When?"
    e "She was excited, so she told the priest."
    e "It's on January 11th."
    show farris neutral with dissolve
    f "Truth be told, I wasn't expecting our wedding to be so soon."
    f "I was hoping we'd have a bit more time to prepare."
    f "But this is better in the long run, isn't it?"
    show farris smile with dissolve
    f "There's something I should give to you."
    e "Oh?"
    "He gives me a large, worn bag. Farris's name and information are sewn on one side."
    show farris neutral with dissolve
    "This bag is quite heavy. There must be something inside."
    "When I open it, I see white cloth."
    "Well, it is mostly white. It's covered in mud stains, and I can see a huge hole in it."
    e "Is this your parachute?"
    f "Yes."
    show farris grin with dissolve
    f "It saved my life in France."
    f "We had a rule that if your parachute saved your life, you could keep it."
    e "So why are you giving it to me?"
    f "For your dress."
    
    menu:
        "I don't want it.":
            e "This is a lovely gesture, but I'll pass, thank you."
            show farris neutral with dissolve
            f "Why? You'll still need a dress."
            f "Dresses cost a lot of coupons, from what I hear."
            
            menu:
                "It saved your life.":
                    e "It saved your life. You should keep it."
                    e "I'll find another way to get the clothing coupons."
                    f "Are you sure?"
                    
                    menu:
                        "Yes.":
                            e "I am certain."
                            f "I don't have any other use for it. Trust me."
                            f "It's only got sentimental value for me."
                            show farris bneutral with dissolve
                            f "If you wear it, it might save my life twice."
                            "This whole thing is to hide him from suspicion..."
                            
                        "No.":
                            "This is very special to him."
                            "By giving me something so sentimental, he's making a promise."
                            $ flove += 5
                            
                "It's old and full of holes.":
                    "I really don't like the look of this parachute."
                    "It's covered in stains."
                    "It's got a big hole and it could have more."
                    "How much of this fabric would be useable?"
                    e "Honestly, this is a lovely gesture, but I don't think I can accept this."
                    show farris confused with dissolve
                    f "Why?"
                    e "...{w} It's not that nice."
                    f "I'm sure in the hands of a good seamstress, they could make it beautiful."
                    f "You're already a charming woman. You deserve a beautiful dress."
                    e "Yes, I do."
                    show farris concerned with dissolve
                    f "Do you actually have any other options?"
                    e "I could buy fabric."
                    e "Or just buy a dress."
                    f "Feel it, Esther."
                    "I touch the fabric. It's so soft."
                    e "Is this real silk?"
                    show farris neutral with dissolve
                    f "It is."
                    e "Oh wow..."
                    "I haven't felt real silk in years! I don't believe it."
                
        "Thank you so much!":
            e "Thank you so much! It's lovely."
            e "I can clean up the fabric to make it beautiful."
            f "Great."
            $flove += 10
    
    e "I'll take this to my best friend, Anne. She's a wonderful seamstress."
    e "I'm certain she can make me someting outstanding for me."
    e "Well, for us, I suppose."
    "I start blushing."
    show farris smile with dissolve
    f "I can almost see it in my mind."
    f "Something graceful, like you. Maybe with a short skirt?"
    e "I'm not sure that would be a good idea..."
    f "Or maybe a long one."
    f "I don't know a lot about dresses."
    "We both laugh."
    e "I don't know much about wedding dresses either. I guess I'll have to learn."
    show farris grin with dissolve
    e "This will be quite an adventure, won't it?"
    f "It will."
    
    $ items["parachute"] += 1
    
    hide farris grin with dissolve
    scene fireplace with fade
    
    "Now that I have some fabric for a dress, I can take it to Anne."
    "I can talk to her tomorrow after work."
    
    return
    
label new_life:
    scene entry01 with fade
    f "Our lives will be different."
    return
    
label war_days_memories:
    scene entry01 with fade
    f "War Days Memories."
    return
    
label ripped_suit:
    scene entry01 with fade
    f "Tear."
    return

label letter_home:
    scene entry01 with fade
    f "Letter Home."
    return
    
label trial_one:
    scene entry01 with fade
    "Trial Part 1"
    return
    
label trial_two:
    scene entry01 with fade
    "Trial Part 2"
    return
    
label virgil_war:
    scene entry01 with fade
    "Virgil and the war."
    return
    
label evening_invite:
    scene entry01 with fade
    f "If you'd like, you can come over tomorrow night."
    $ fnightinvite = True
    return
    
label tfarris_eve:
    scene entry01 with fade
    $ fnightinvite = False #This event is being played, so return the game state to normal.
    "It is nearly nighttime when I go to see Farris."
    return    
    
label bloodlines_farris:
    scene entry01 with fade
    f "Anne talked about our future kids?"
    return
    
label husband_call:
    scene entry01 with fade
    f "Husband Call"
    return
    
label farris_ill_f:
    scene entry01 with fade
    f "I'm sick."
    return
    ###################
    ## VIRGIL EVENTS ##
    ###################
    
    # TODO Note: Add Virgil Events
    
label v_intro:
    show fireplace with fade
    "I call Virgil so I can talk with him. This situation is a bit of a mess."
    v "Hello?"
    e "Hi. It's Esther. I was wondering if you wanted to talk."
    e "After the Christmas crazyness, I thought we could clear the air a bit."
    v "That's a good idea. Why don't you come over?"
    e "Sure."
    "He gives me his adress."
    e "I'll be there soon."
    scene apartment with fade
    "I arrive at Virgil's walk-up a half hour later. He lets me in as soon as I arrive."
    show virgil neutral at center with dissolve
    v "I've been thinking..."
    e "Me too."
    v "This is a wierd situation."
    v "I guess I should start by apologizing for my outburst."
    show virgil neutral at Position( xpos = 0.42, ypos = 1.0) with move
    v "I'm sorry I yelled at you. Sometimes I get emotional about things I like."
    v "And I really like Farris."
    e "Do you hate me?"
    v "..."
    show virgil concerned with dissolve
    v "No."
    v "I don't hate you spesifically."
    v "I hate you taking my dream away."
    menu:
        "What is your dream?":
            e "What is your dream?"
            show virgil bneutral with dissolve
            v "I know it's childish...{w} and illogical..."
            "He clears his throat."
            v "I always thought that we would live together as a couple. This city is quite friendly if you know where to look, so it wouldn't be hard to find a house."
            v "We'd be two bachelors taking on the world together."
        "I'm not trying to take away anything.":
            e "I'm not trying to take anything away from you."
            v "I know you're not."
            show virgil neutral with dissolve
            v "I just always had the idea we would live together. We'd be two bachelors taking on the world."
    show virgil smile with dissolve
    v "I suppose it's silly to assume something like that."
    v "We have such high expectations placed on us, career-wise."
    v "People might notice if there were two very chummy-chummy guys next door."
    e "Maybe not. If you cover your hair with a hat, you look kind of like Sherlock Holmes."
    e "Weren't Sherlock and Watson like that? Nobody minded it."
    show virgil smile at center with move
    v "Yes, all though Watson did manage to get himself a wife and move out."
    e "Really?"
    v "Yeah, in 'The Sign of Four', I think."
    e "I never really read them."
    v "I read all of them when I was a kid."
    show virgil neutral with dissolve
    v "But I don't think Farris and I are like that. There is no way he would be dragging me out to solve crimes."
    v "I'd rather we stay home and listen to the radio."
    v "Now that'll probably never happen. You're going to get my spot."
    e "I don't think I'm taking your spot. I'll just be doing the cooking and cleaning for him."
    e "You'll be the lover."
    v "How?"
    menu:
        "You can visit.":
            e "You can visit Farris whenever you want."
            e "You can do what you want while I'm in another part of the house, pretending nothing abnormal is going on."
            e "It won't be too hard."
            show virgil confused with dissolve
            v "That is a possibility."
            v "It might work."
            e "We'll have to make it work. We're a team."
            show virgil smile with dissolve
            v "Yes!"
            $ vlove += 10
            
        "You'll handle the physical aspect.":
            e "I'll deal with the annoying everyday life aspects."
            e "You'll provide the intimacy."
            v "Just the intimacy."
            show virgil concerned with dissolve
            e "Not nesecarily physical intimacy."
            e "Farris and I don't have that kind of emotional connection. You do."
            e "That's important too."
            v "I suppose it is."
    show virgil neutral with dissolve
    v "You seem to have this all figured out."
    e "Not everything. I just have some ideas. You're smart too. You're in school."
    e "You have tonnes of great ideas."
    "He sighs."
    v "Are you uncomfortable?"
    e "A little."
    v "Great. I'm not the only one."
    "He sighs, looking at the floor."
    v "I guess it will be like this for a while."
    v "Just ajusting to my new life."
    e "I'm ajusting too."
    e "After the wedding, we should be okay."
    e "Maybe we could buy a hose and rent a room for you."
    v "I'd be the friendliest boarder ever."
    e "Yeah."
    e "I should get going. Talk to you later."
    v "I will. Good day."
    e "Same to you."
    return
    
label v_special_1:
    scene apartment with fade
    v "Event 1"
    return
label v_special_2:
    scene apartment with fade
    v "Event 2"
    return
label v_special_3:
    scene apartment with fade
    v "Event 3"
    return
label v_special_4:
    scene apartment with fade
    v "Event 4"
    return
label v_special_5:
    scene apartment with fade
    v "Event 5"
    return
label v_special_6:
    scene apartment with fade
    v "Event 6"
    return

label v_special_7:
    scene apartment with fade
    v "Event 7"
    return
    
label v_special_8:
    scene apartment with fade
    v "Event 8"
    return

label v_special_9: #TODO: Conflicted Passions
    scene apartment with fade
    v "Event 9"
    return

label v_special_10: #Let's do something.
    scene apartment with fade
    v "Event 10"
    return

label farris_ill_v:
    scene apartment with fade
    v "Farris is sick."
    return

    #################
    ## ANNE EVENTS ##
    #################
    
    # TODO Note: Add Anne Events
    
label exciting_news:
    "I head to Anne's first. She's right next door, so getting there is easy."
    "We've been friends since primary school. We've gone through so much together."
    "She'll be so excited to hear I'm getting married."
    scene library01 day with fade
    show brown smile tmp with dissolve
    a "Happy Christmas, Esther. Your house seemed quiet last night. Did you have a quiet night?"
    e "Not exactly... Mum didn't want to have a Christmas this year. I went over to Farris's."
    a "Farris let you into his house?"
    e "Yeah...{w} he actually proposed to me."
    show brown angry tmp with dissolve
    a "We're talking about Farris James Fitzgerald, right?"
    e "Yes."
    a "You're bluffing."
    e "No, I'm not kidding. He did propose to me! We're getting married on the 11th."
    show brown bsmile tmp with dissolve
    a "Wow..."
    a "How on earth did you manage that?"
    e "I've no idea."
    a "You don't think he's actually going to settle down once he gets married?"
    e "I'll kick his arse if he doesn't."
    a "Anyway, you know who's going to make your wedding dress."
    show brown smile tmp with dissolve
    e "You are!"
    a "Darn right!"
    e "I've got to go talk to my fiance. Have a great day."
    a "Come back with pretty fabric, okay?"
    e "I will!"
    return
    
label make_dress:
    scene library01 day with fade
    "Make a dress."
    return
    
label dress_is_made:
    scene library01 day with fade
    "Dress is done."
    return
    
label bloodlines_anne:
    scene library01 day with fade
    "Bloodlines."
    return
    
    ###################
    ## MOTHER EVENTS ##
    ###################
    
label m_special_1:
    scene fireplace with fade
    m "Event 1"
    return
    
label m_special_2:
    scene fireplace with fade
    m "Event 2"
    return

label m_special_3:
    scene fireplace with fade
    m "Event 3"
    return
    
label m_special_4:
    scene fireplace with fade
    m "Event 4"
    return
    
label m_special_5:
    scene fireplace with fade
    m "Event 5"
    return
    
    ##################
    ## ENDING EVENT ##
    ##################
    
label wedding_day_placeholder:
    #play music "Wedding_March.ogg"
    # TODO High Priority: Add the wedding march sound clip, then uncomment this line.
    "You've reached day [day], [month] [day_call], [year]! Nice!"
    "Normally, this would result in an ending scene, but that scene isn't in the game yet."
    "We'll show you your variables instead."
    "Preparedness was [prep]. Charisma was [charisma]. Handiness was [handiness]. Strength was [physicality]."
    "Thank you for playing No Good Wife's Alpha Build."
    "The game will now quit."
    $ renpy.full_restart()
    
    